> For the complete documentation index, see [llms.txt](https://docs.eseye.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eseye.com/api-reference/overview.md).

# Overview

The Eseye APIs and data services connect your applications and operational systems to Eseye's IoT connectivity platform. With it, you manage SIMs, retrieve location information, send SMS messages, analyse connectivity telemetry, and run bulk operations programmatically.

### Available APIs and data services

| API or service       | Use it to                                                                             | Commercial model   |
| -------------------- | ------------------------------------------------------------------------------------- | ------------------ |
| SIM API              | Manage SIM statuses, attributes, packages, billing information, and network activity. | Free               |
| Bulk Operations API  | Process large operations asynchronously through files and jobs.                       | Free               |
| Location API         | Retrieve estimated SIM locations and cell tower information.                          | Chargeable         |
| SMS API              | Send SMS messages, cancel messages, and check delivery status.                        | Chargeable         |
| Connectivity Metrics | Receive Authentication, Accounting, and NetFlow metrics through secure SFTP.          | Commercial service |

{% hint style="info" %}
Connectivity Metrics is a secure, file-based data feed, not a REST API.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eseye.com/api-reference/overview.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
